#ifndef WINDOWPROPERTIES_H
#define WINDOWPROPERTIES_H

#include <QMap>
#include <QVariant>
#include "mini_xdefs.h"

class WindowProperties
{
public:
    WindowProperties(Window w);

    QMap<QString,QVariant> CurrentProperties();

    Window GetWindow();

    static QString LookupAtom(Atom a);

protected:
    Window w;
};

#endif // WINDOWPROPERTIES_H
